<?
$arg1=$_REQUEST['arg1'];
$arg2=$_REQUEST['arg2'];
$arg3=$_REQUEST['arg3'];
$arg4=$_REQUEST['arg4'];
$arg5=$_REQUEST['arg5'];

//print_r($_REQUEST);
//print_r($_SESSION);

if(@$_REQUEST['captcha_req']){
	?><script>window.history.go(-1);</script><?
}

if (!@$db){
	set_include_path(get_include_path() . PATH_SEPARATOR . "./bo");
	include_once("db/dbMini.class.php");
	$db=new dbMini;

}

include_once ("config/server.inc.php");
$permalink="/$arg1/$arg2/$arg3/$arg4/$arg5/";


$categoria = $db->getLinhaCampo('categoria', 'permalink', $permalink);
$tipo=$categoria['tipo1'];
$nivel = 5;


if (!$tipo){
	$permalink="$arg1/$arg2/$arg3/$arg4/";
	$categoria = $db->getLinhaCampo('categoria', 'permalink', $permalink);
	$tipo=$categoria['tipo1'];
	$nivel = 4;
} 
if (!$tipo){
	$permalink="$arg1/$arg2/$arg3/";
	$categoria = $db->getLinhaCampo('categoria', 'permalink', $permalink);
	$tipo=$categoria['tipo1'];
	$nivel = 3;
}
 if (!$tipo){
	$permalink="$arg1/$arg2/";
	$categoria = $db->getLinhaCampo('categoria', 'permalink', $permalink);
	$tipo=$categoria['tipo1'];
	$nivel = 2;
}
 if (!$tipo){
	$permalink="$arg1/";
	$categoria = $db->getLinhaCampo('categoria', 'permalink', $permalink);
	$tipo=$categoria['tipo1'];
	$nivel = 1;
}


$seo_descricao = $categoria['tagdescricao'];
$seo_palavras = $categoria['tagpalavras'];

//print "link-> $permalink tipo-> $tipo 1-$arg1 2-$arg2 3-$arg3 4-$arg4 5-$arg5<br>";
//print "1-$arg1 2-$arg2 3-$arg3 4-$arg4 5-$arg5";
//echo $tipo;

$narg4="arg".($nivel+3);
$narg3="arg".($nivel+2);
$narg2="arg".($nivel+1);
$narg1="arg".($nivel);

if ($arg1=='parcerias' && $tipo=='nada'){
	include "link_cat.php";
}else if ($arg1=='home'){
	include "home.php";
} else if($tipo && $tipo != "nada"){
	switch($tipo){
		case 'noticia':
			if(!$$narg2 || is_numeric($$narg2))
				include "noticias.php";				
			else include "noticia_detalhe.php";		
			//include "area.php";					
			break;
		
		case 'artigo':
			if(!$$narg2 || is_numeric($$narg2))
				include "artigos.php";				
			else include "artigo_detalhe.php";								
			break;
		case 'info':
			if(!$$narg2 || is_numeric($$narg2))
				include "info.php";				
			else include "info_detalhe.php";								
			break;
		case 'link':
			if(!$$narg2 || is_numeric($$narg2))
				include "link.php";				
			else include "link_detalhe.php";											
			break;
		case 'pagina_imagem':
			include "pagina_imagem.php";								
			break;

			
		case 'pagina':
			/*if ($$narg1=='contactos' || $$narg1=='contacts')
				include "contactos.php";
			else*/
			include "pagina.php";								
			break;
		


		default:
			include "index.php";
	}
	
} else {
	switch($arg2){
		case'home': 
			include "index.php"; 
			break;
		
			
		default:
			include "$arg1.php";
	}
}

//print "$tipo $arg1 $arg2 $arg3 $arg4 $arg5";

function print_rr($a){
	print '<pre>';
	print_r ($a);
	print '</pre>';
}
?>
